%global srcname process-tests
%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{srcname}
Version:        1.0.0
Release:        4%{?dist}
Summary:        Tools for testing processes

License:        BSD
URL:            https://github.com/ionelmc/python-process-tests
Source0:        https://pypi.python.org/packages/source/p/process-tests/process-tests-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
Provides:       python2-%{srcname} = %{version}-%{release}

%description
Tools for testing processes.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        Tools for testing processes
BuildRequires:  python3-devel

%description -n python3-%{srcname}
Tools for testing processes.
%endif


%prep
%setup -q -n %{srcname}-%{version}


%build
%{py2_build}
%if 0%{?with_python3}
%{py3_build}
%endif


%install
%{py2_install}
%if 0%{?with_python3}
%{py3_install}
%endif


%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/process_tests*
%endif


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 06 2015 Robert Kuska <rkuska@redhat.com> - 1.0.0-3
- Rebuilt for Python3.5 rebuild

* Wed Jul 29 2015 Orion Poplawski <orion@cora.nwra.com> - 1.0.0-2
- Do not own python3 __pycache__ dir

* Wed Jul 29 2015 Orion Poplawski <orion@cora.nwra.com> - 1.0.0-1
- Initial package
